# Used by scratchbox-base and scratchbox-utils

ifdef DARCS_SNAPSHOTS

MASTER_SITES = darcs//$(DARCS_SNAPSHOTS)/

CHECKSUM_FILE = $(WORKDIR)/checksums

pre-everything:
	install -d $(WORKDIR)
	ln -s ../../checksums $(WORKDIR)/checksums
	$(MAKECOOKIE)

darcs//%:
	install -d $(WORKDIR) $(DOWNLOADDIR) $(COOKIEDIR)

	darcs get --partial --no-pristine-tree `dirname $*`/$(GARNAME) $(WORKSRC)

	ln -sf /dev/null $(DOWNLOADDIR)/`basename $*`
	rm -f $(WORKDIR)/checksums
	md5sum $(DOWNLOADDIR)/`basename $*` > $(WORKDIR)/checksums

endif
